using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace NicoComment {
    public partial class Form1 : Form {
        public Form1() {
            InitializeComponent();
            pictureBox1.Image = new Bitmap( 512, 384 );
        }

        private void button1_Click( object sender, EventArgs e ) {
            using ( Graphics g = Graphics.FromImage( pictureBox1.Image ) ) {
                g.Clear( Color.Black );
                double time = double.Parse( textBox3.Text );
                NComment entry = new NComment( 0.0f, textBox1.Text, textBox2.Text, 0 );
                NicoComment.drawString( g, entry, pictureBox1.Bounds, time, 1 );
            }
            pictureBox1.Invalidate();
        }
    }
}